#include<iostream>
using namespace std;

int main(){
	
	int n, k, x, s=0, br=0;
	
	cin>>n>>k;
	
	
	static int a[2000001];
	
	int b[n/k];
	
	for(int i=0; i<n; i++){
		
		cin>>x;
		
		a[x+n]++;
		
	}
	
	for(int i=0; i<n*2+1; i++){
		
		if(a[i]>=k){
			
			s++;
			
			b[br]=i-n;
			br++;
			
		}
		
	}
	
	cout<<s<<endl;
	
	for(int i=0; i<br; i++){
		
		cout<<b[i]<<" ";
		
	}
	
}